Bug 852480 - automountkey is not indexed
automountkey is not indexed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 12:09 EDT by Dmitri Pal
Modified: 2013-02-21 04:17 EST (History)
3 users (show)

See Also:
Fixed In Version: ipa-3.0.0-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:17:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-08-28 12:09:32 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/3020

The automountkey attribute is not indexed and affects performance when adding new key entries.

An update would look something like:

{{{
dn: cn=automountkey,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config
default:cn: automountkey
default:ObjectClass: top
default:ObjectClass: nsIndex
default:nsSystemIndex: false
default:nsIndexType: eq
}}}
Comment 1 Rob Crittenden 2012-10-02 15:57:48 EDT
fixed upstream.

master:
941d1e8701c0c3a22ab4e6320686761b64d89c82
0e432d33fc4123d70c320c66f00cd7a0082de163

ipa-3-0:
20f182034555fdea736a517d9e6f1f8203ea8b28
1f60d17e954d70a39f1022f50ff292ff22a6b00d

One can validate that it is indexed by checking for unindexed searches with:

# logconv.pl -ula /var/log/dirsrv/slapd-EXAMPLE-COM/access
Comment 5 Varun Mylaraiah 2013-01-30 08:28:48 EST
[root@mvarun ipa]# rpm -q ipa-server
ipa-server-3.0.0-24.el6.x86_64

[root@mvarun ipa]# logconv.pl -ula /var/log/dirsrv/slapd-TESTRELM/access

Access Log Analyzer 6.1

Command : logconv.pl /var/log/dirsrv/slapd-TESTRELM/access

Processing 1 Access Log(s)...

Filename			   Total Lines
--------------------------------------------------
[01] /var/log/dirsrv/slapd-TESTRELM/access    2889
       2889 Lines Processed



Total Log Lines Analysed:  2889


----------- Access Log Output ------------

Start of Log:    29/Jan/2013:21:31:17
End of Log:      30/Jan/2013:17:13:53

Processed Log Time:  19 Hours, 42 Minutes, 36 Seconds

Restarts:                     4
Total Connections:            88
SSL Connections:              0
Peak Concurrent Connections:  13
Total Operations:             1282
Total Results:                1278
Overall Performance:          99.7%

Searches:                     671        (0.01/sec)  (0.57/min)
Modifications:                120        (0.00/sec)  (0.10/min)
Adds:                         281        (0.00/sec)  (0.24/min)
Deletes:                      14         (0.00/sec)  (0.01/min)
Mod RDNs:                     4          (0.00/sec)  (0.00/min)
Compares:                     0          (0.00/sec)  (0.00/min)
Binds:                        189        (0.00/sec)  (0.16/min)

Proxied Auth Operations:      0
Persistent Searches:          0
Internal Operations:          0
Entry Operations:             0
Extended Operations:          3
Abandoned Requests:           0
Smart Referrals Received:     0

VLV Operations:               0
VLV Unindexed Searches:       0
SORT Operations:              0

Entire Search Base Queries:   0
Unindexed Searches:           0

FDs Taken:                    115
FDs Returned:                 104
Highest FD Taken:             75

Broken Pipes:                 0
Connections Reset By Peer:    0
Resource Unavailable:         0

Binds:                        189
Unbinds:                      100

 LDAP v2 Binds:               0
 LDAP v3 Binds:               189
 SSL Client Binds:            0
 Failed SSL Client Binds:     0
 SASL Binds:                  129
  117   GSSAPI      
  12    EXTERNAL    

 Directory Manager Binds:     71
 Anonymous Binds:             118
 Other Binds:                 0

----- Top 20 Search Bases -----

Number of Unique Search Bases: 199

161             dc=testrelm                             
96              cn=testrelm,cn=kerberos,dc=testrelm     
49              cn=ipaconfig,cn=etc,dc=testrelm         
26              cn=schema                               
24              cn=global_policy,cn=testrelm,cn=kerberos,dc=testrelm
20              cn=config,cn=ldbm database,cn=plugins,cn=config
16              uid=admin,cn=users,cn=accounts,dc=testrelm
8               cn=ranges,cn=etc,dc=testrelm            
7               cn=trusts,dc=testrelm                   
6               automountmapname=aa,cn=a,cn=automount,dc=testrelm
6               root dse                                
6               fqdn=mvarun64.testrelm.com,cn=computers,cn=accounts,dc=testrelm
5               cn=a,cn=automount,dc=testrelm           
4               cn=dns,dc=testrelm                      
4               cn=add krbprincipalname to a host,cn=permissions,cn=pbac,dc=testrelm
4               cn=automount,dc=testrelm                
4               cn=admins,cn=groups,cn=accounts,dc=testrelm
4               cn=trust admins,cn=groups,cn=accounts,dc=testrelm
4               cn=replication administrators,cn=privileges,cn=pbac,dc=testrelm
4               description=a,automountmapname=aa,cn=a,cn=automount,dc=testrelm


----- Top 20 Search Filters -----

Number of Unique Search Filters: 46

338             (objectclass=*)                         
72              (objectclass=krbticketpolicyaux)        
36              (|(member=uid=admin,cn=users,cn=accounts,dc=testrelm)(memberhost=uid=admin,cn=users,cn=accounts,dc=testrelm)(memberuser=uid=admin,cn=users,cn=accounts,dc=testrelm))
21              (&(|(objectclass=krbprincipalaux)(objectclass=krbprincipal))(krbprincipalname=krbtgt/testrelm@testrelm))
20              (&(|(objectclass=krbprincipalaux)(objectclass=krbprincipal)(objectclass=ipakrbprincipal))(|(ipakrbprincipalalias=krbtgt/testrelm@testrelm)(krbprincipalname=krbtgt/testrelm@testrelm)))
18              (&(|(objectclass=krbprincipalaux)(objectclass=krbprincipal))(krbprincipalname=k/m@testrelm))
13              (&(|(objectclass=krbprincipalaux)(objectclass=krbprincipal)(objectclass=ipakrbprincipal))(|(ipakrbprincipalalias=ldap/mvarun64.testrelm.com@testrelm)(krbprincipalname=ldap/mvarun64.testrelm.com@testrelm)))
13              (&(|(objectclass=krbprincipalaux)(objectclass=krbprincipal)(objectclass=ipakrbprincipal))(|(ipakrbprincipalalias=host/mvarun64.testrelm.com@testrelm)(krbprincipalname=host/mvarun64.testrelm.com@testrelm)))
11              (objectclass=ipantdomainattrs)          
10              (krbmkey=*)                             
8               (&(|(objectclass=krbprincipalaux)(objectclass=krbprincipal))(krbprincipalname=kadmin/admin@testrelm))
8               (&(objectclass=ipakrb5delegationacl)(memberprincipal=http/mvarun64.testrelm.com@testrelm))
8               (&(|(objectclass=krbprincipalaux)(objectclass=krbprincipal))(krbprincipalname=host/mvarun64.testrelm.com@testrelm))
8               (&(|(objectclass=krbprincipalaux)(objectclass=krbprincipal))(krbprincipalname=admin@testrelm))
8               (&(|(objectclass=krbprincipalaux)(objectclass=krbprincipal))(krbprincipalname=kadmin/changepw@testrelm))
6               (objectclass=ipanttrusteddomain)        
6               (&(|(objectclass=krbprincipalaux)(objectclass=krbprincipal))(krbprincipalname=http/mvarun64.testrelm.com@testrelm))
6               (objectclass=automountmap)              
6               (objectclass=ipaidrange)                
5               (objectclass=automount)
Comment 6 Varun Mylaraiah 2013-01-30 08:41:00 EST
Rob can you please let me know whether the above mentioned output is the expected behavior so that I can go ahead and close this issue.
Comment 7 Rob Crittenden 2013-01-30 08:51:31 EST
Yes, this is expected behavior. An unindexed search would stick out like a sore thumb.
Comment 8 Varun Mylaraiah 2013-01-30 08:57:51 EST
closing this issue as per Rob's confirmation.
Comment 10 errata-xmlrpc 2013-02-21 04:17:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.